POLYGRAPH-PGL2LDIF(1)

NAME
polygraph-pgl2ldif - LDIF (and other text-based) configuration generator

SYNOPSIS
pgl2ldif [--option ...]

DESCRIPTION
Generates LDIF (and other text-based) configuration files from PGL code. LDIF is the configuration format used by LDAP servers. To generate a configuration file, one needs to create a template. Polygraph substitutes well-known keywords in the template file with credentials and other authentication-related information.

OPTIONS

--help
    list of options

--version
    package version info

--template <filename>
    LDIF template

--config <filename>
    PGL configuration

--cfg_dirs <dirs>
    directories for PGL #includes

--avoid_duplicates <yes|no>
    [slowly] avoid duplicate LDIF records

--global_rng_seed <int>
    per-test r.n.g. seed

COPYRIGHT
Copyright © 2003-2006 The Measurement Factory, Inc.

SEE ALSO
polygraph(7) - general information and a list of programs

http://www.web-polygraph.org/ - project web site